# ***************************************************************************
# IBM Confidential
# (C) Copyright IBM Corp. 2015
# IBM Copy Services Manager
#
# All Rights Reserved
# Licensed Material - Property of IBM
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has
# been deposited with the U. S. Copyright Office.
#  
#  U.S. Government Users Restricted Rights 
#  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with 
#  IBM Corp. 
#
#****************************************************************************

#------------------------------------------------------------------------------
# This file lists the silent install variables needed to install IBM Copy
# Services Manager on a single server.
#
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# Set Silent License Acceptance
#
# To accept the license agreement: change the value to true.
#                 example: LICENSE_ACCEPTED=true
# If the LICENSE_ACCEPTED has a value other than 'true' the installation 
# will exit.
#
# BY CHANGING THE LICENSE_ACCEPTED FROM 'false' TO 'true' AND PERFORMING THIS 
# SILENT INSTALLATION, LICENSEE AGREES TO THE TERMS OF IBM COPY SERVICES 
# MANAGER 1.0 LICENSE AGREEMENT. IF YOU ARE ACCEPTING THESE TERMS 
# ON BEHALF OF LICENSEE, YOU REPRESENT AND WARRANT THAT YOU HAVE FULL AUTHORITY 
# TO BIND LICENSEE TO THESE TERMS. IF YOU DO NOT AGREE TO THESE TERMS,
# * DO NOT DOWNLOAD, INSTALL, COPY, ACCESS, OR USE THE PROGRAM; AND
# * PROMPTLY RETURN THE UNUSED MEDIA AND DOCUMENTATION TO IBM. IF THE PROGRAM 
#   WAS DOWNLOADED, DESTROY ALL COPIES OF THE PROGRAM.
#------------------------------------------------------------------------------
LICENSE_ACCEPTED=false

#------------------------------------------------------------------------------
# Specify the location of the license file to be used by the installer.  The 
# installer will install this license file if it is a valid license file.  If
# it is not it will result in an error.
#
# If this is empty then the install will proceed under the evaluation mode
# and will need licenses installed later for full function.
#
# Ignored in upgrade if the installation is already fully licensed.
#
# Note: For Windows file separator needs to be "\\", i.e. C:\\Path\\License
#
#------------------------------------------------------------------------------
CSM_LICENSE_FILE=

#------------------------------------------------------------------------------
# Specify the directory where the IBM Copy Services Manager software will be 
# installed. 
# If this is a CLI only install the property will be used to set the install
# directory for the server. It is recommended to use 
# C:\\Program Files\\IBM\\CSMCLI and on Unix is /opt/IBM/CSMCLI
#
# The default value on Windows is 
# C:\\Program Files\\IBM\\CSM and on Unix is /opt/IBM/CSM
#------------------------------------------------------------------------------
USER_INSTALL_DIR=

#------------------------------------------------------------------------------
# Specify the initial Administrator user to create to manage IBM Copy Services
# Manager.
#
#
# Default user is csmadmin
#
#------------------------------------------------------------------------------
CSM_USER=csmadmin

#------------------------------------------------------------------------------
# Specify the initial password for the administrator user created to manage IBM
# Copy Services Manager.
#
#
# Default password is passw0rd
#
#------------------------------------------------------------------------------
CSM_USER_PASSWORD=passw0rd

#------------------------------------------------------------------------------
# Specify the IP port needed for the IBM Copy Services Manager GUI.
#
# The default port is 9559
#
#------------------------------------------------------------------------------
CSM_GUIPORT=9559

#------------------------------------------------------------------------------
# Specify the IP port needed for the IBM Copy Services Manager CLI access.
#
# If this is a CLI only install the property will be used to fill in port for
# the server
#
# The default port is 9560
#
#------------------------------------------------------------------------------
CSM_CLIPORT=9560

#------------------------------------------------------------------------------
# Specify the IP port needed for the IBM Copy Services Manager High 
# Availability communication
#
# The default port is 9561
#
#------------------------------------------------------------------------------
CSM_HAPORT=9561

#------------------------------------------------------------------------------
# Specify the IP port needed for the IBM Copy Services Manager Authentication
# Server used to authenticate users.
#
# The default port is 9562
#
#------------------------------------------------------------------------------
CSM_AUTHPORT=9562

#------------------------------------------------------------------------------
# Specify if the installer should exit when a warning is encountered
#
# true - do not exit
# false - exit with message
#
# Default is false
#
#------------------------------------------------------------------------------
SKIP_WARNINGS=false

#------------------------------------------------------------------------------
# Specify the location of the backup to be restored by the installer.  The 
# installer will restore this backup if it is a CSM backup or a backup from a
# compatible product.
#
# Note: For Windows file separator needs to be "\\", i.e. C:\\Log\\Location
#
#------------------------------------------------------------------------------
CSM_BACKUP=

#------------------------------------------------------------------------------
# Specify the log location to use during install.  By default the logs are
# placed in a temporary location and moved to the install directory upon 
# completion of the install.
#
# Specifying a location will allow the logs to persist in the event of an
# installation failure.
#
# Note: For Windows file separator needs to be "\\", i.e. C:\\Log\\Location
#
#------------------------------------------------------------------------------
LOG_LOCATION=


#--------------- --THIS NEXT SECTION IS FOR CLI INSTALLS ONLY -- --------------
#------------------------------------------------------------------------------
# For CLI only installs, the following property must be set to true
#
# The default is false
#
#------------------------------------------------------------------------------
CLI_ONLY_INSTALL=false

#------------------------------------------------------------------------------
# For CLI only installs, specify the Server name for the IBM Copy Services 
# Manager Server that you will connect to.
#
# The default server is localhost
#
#------------------------------------------------------------------------------
CSM_SERVER_NAME=localhost

